Subject: Re: bug#20660: 25.0.50; Window pops now issue "Args out of range" with popwin mode enabled
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Dmitry Gutov <[email-masked]>, [email-masked], Kaushal <[email-masked]>
Date: Mon, 30 Sep 2019 01:50:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Kaushal <[email-masked]>
>> Date: Thu, 11 Jun 2015 15:10:44 +0000
>>
>> Any hints on how I can debug this more?
>
> I'm not Dmitry, but I will give advice nonetheless.
>
> Try running Emacs under GDB, setting a breakpoint in the function
> named args_out_of_range.  When it breaks, the command "xbacktrace"
> (defined in src/.gdbinit) will display a Lisp-level backtrace, whuch
> might give you enough hints to find the culprit.  If not, the command
> "backtrace" will show a C-level backtrace; post it here if you cannot
> figure it out.
>
> If the breakpoint in args_out_of_range breaks too much in situations
> not related to your problem, you can make the breakpoint continue the
> execution automatically:
>
>   (gdb) break args_out_of_range
>   (gdb) commands
>     > xbacktrace
>     > continue
>     >end
>
> Then only look at the output of GDB when you see the problem
> happening.

This seems to be an error related to a third party package, and there
have been no further update in 4 years.  I'm therefore closing this
bug.  If this is indeed a bug in Emacs, please ropen.

Best regards,
Stefan Kangas